Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 23 Mar 2023 14:38:58 +0000

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I cannot use voucher worth 200 from smiles to centrepoint voucher option. Error msg “voucher cannot be redeemed” since 2 days now. I delete reinstall app and restart mobile also. I contacted you by whatsapp and informed me ill receive email, but no email yet til now. Hoping for your assistance as soon as possible as I want to order online. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5915170